Name:		tacacs+
Version: 	F4.0.4.19
Release:	4.1
License: 	GPL
Group: 		System
Summary: 	TACACS+ Daemon
URL: 		http://www.shrubbery.net/tac_plus/
Source0: 	%{name}-%{version}.tar.gz
Source1:	tac_plus.init.suse
Source2:	tac_plus.sysconfig
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:	glibc-devel libgcc gcc gcc-c++ flex bison
%if 0%{?suse_version}
BuildRequires:	tcpd-devel
%endif

%if 0%{?fedora_version} || 0%{?centos_version}
BuildRequires:	tcp_wrappers
%endif

%description
Terminal access controller access control system (TACACS) is a 
remote authentication protocol that is used to communicate with an 
authentication server commonly used in UNIX networks. 
TACACS allows a remote access server to communicate with an 
authentication server in order to determine if the user has access to the network.


%prep
%setup
%configure

%build
%__make

%makeinstall
install -m 755 -d %{buildroot}/%{_docdir}/%{name}
mv %{buildroot}/%{_datadir}/%{name}/* %{buildroot}/%{_docdir}/%{name}/
rm -rf %{buildroot}/%{_datadir}/%{name}
%if 0%{?suse_version}
%__install    -D -m 0755 %{S:1}          %{buildroot}%{_sysconfdir}/init.d/tac_plus
%__install    -D -m 0755 %{S:2}          %{buildroot}%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%endif

%post
%if 0%{?suse_version}
%{fillup_and_insserv tac_plus}
%else
/sbin/chkconfig --add tac_plus
%endif

%postun
%if 0%{?suse_version}
%restart_on_update tac_plus
%{insserv_cleanup}
%endif

%preun
%if 0%{?suse_version}
%stop_on_removal tac_plus
%else
if [ $1 = 0 ]; then
   %{_sysconfdir}/init.d/tac_plus stop
   /sbin/chkconfig --del tac_plus
fi
%endif


%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%{_bindir}/tac_plus
%{_bindir}/tac_pwd
%{_mandir}/man3/regexp.3
%{_mandir}/man5/tac_plus.conf.5
%{_mandir}/man8/tac_plus.8
%{_mandir}/man8/tac_pwd.8
%{_libdir}/libtacacs.*
%{_includedir}/tacacs.h
%doc %{_docdir}/%{name}
%if 0%{?suse_version}
%{_sysconfdir}/init.d/tac_plus
%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%endif

%changelog
* Sun Dec 12 2010 Carsten Schoene <cs@linux-administrator.com> - F4.0.4.19-1
- update to release F4.0.4.19

* Thu Feb 21 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package
